Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list promo codes for.

Example:

"biz_xxxxxxxxxxxxxx"

product_ids
string[] | null

Filter to only promo codes scoped to these product identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

plan_ids
string[] | null

Filter to only promo codes scoped to these plan identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

status
enum<string> | null

Filter to only promo codes matching this status.

Available options:
active,
inactive,
archived
created_before
string<date-time> | null

Only return promo codes created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time> | null

Only return promo codes created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for PromoCode.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.